{
  "name": "gisaf-frontend",
  "displayName": "Gisaf web front-end",
  "version": "0.0.0",
  "license": "GPL-3.0",
  "description": "Gisaf Geomatics",
  "repository": {
    "type": "git",
    "url": "https://code.philo.ydns.eu/philorg/gisaf-frontend.git"
  },
  "author": "Philippe May",
  "angular-cli": {},
  "scripts": {
    "ng": "ng",
    "start": "node --max_old_space_size=4096 ./node_modules/@angular/cli/bin/ng serve --proxy-config proxy.conf.json --watch",
    "build": "node --max_old_space_size=4096 ./node_modules/@angular/cli/bin/ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "openapi-ts": "openapi-ts -i http://127.0.0.1:5000/openapi.json -o src/app/openapi --client angular",
    "source-map-explorer": "source-map-explorer dist/*.js",
    "version": "echo \"{\\\"version\\\":\\\"$(git describe --tags --dirty --always)\\\"}\" > src/version.json"
  },
  "licenses": [
    {
      "type": "MIT",
      "url": "https://github.com/angular/angular.io/blob/master/LICENSE"
    }
  ],
  "dependencies": {
    "@angular/animations": "^17.3.5",
    "@angular/cdk": "^17.3.5",
    "@angular/common": "^17.3.5",
    "@angular/compiler": "^17.3.5",
    "@angular/core": "^17.3.5",
    "@angular/forms": "^17.3.5",
    "@angular/material": "^17.3.5",
    "@angular/platform-browser": "^17.3.5",
    "@angular/platform-browser-dynamic": "^17.3.5",
    "@angular/platform-server": "^17.3.5",
    "@angular/router": "^17.3.5",
    "@mapbox/point-geometry": "^0.1.0",
    "@maplibre/ngx-maplibre-gl": "^17.4.3",
    "@turf/bbox": "^7.1.0",
    "@turf/distance": "^7.1.0",
    "@turf/helpers": "^7.1.0",
    "angular-plotly.js": "^5.2.2",
    "maplibre-gl": "^4.1.3",
    "ngx-flexible-layout": "~17.0.4",
    "plotly.js-basic-dist-min": "2.31.1",
    "rxjs": "^7.8.1",
    "ts-helpers": "^1.1.2",
    "zone.js": "~0.14.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.3.5",
    "@angular/cli": "^17.3.5",
    "@angular/compiler-cli": "^17.3.5",
    "@angular/language-service": "^17.3.5",
    "@hey-api/openapi-ts": "^0.45",
    "@types/geojson": "^7946.0.14",
    "@types/jasmine": "~5.1.4",
    "@types/jasminewd2": "^2.0.13",
    "@types/node": "^20.12.7",
    "@types/plotly.js-dist-min": "^2.3.4",
    "codelyzer": "^6.0.2",
    "eslint": "^9.17.0",
    "fontnik": "^0.7.2",
    "jasmine-core": "~5.1.2",
    "jasmine-spec-reporter": "~7.0.0",
    "karma": "~6.4.3",
    "karma-chrome-launcher": "~3.2.0",
    "karma-cli": "^2.0.0",
    "karma-coverage-istanbul-reporter": "~3.0.3",
    "karma-jasmine": "~5.1.0",
    "source-map-explorer": "^2.5.3",
    "ts-node": "^10.9.2",
    "tslib": "^2.6.2",
    "typescript": "~5.4.5"
  },
  "packageManager": "pnpm@9.15",
  "publishConfig": {
    "registry": "http://code.philo.ydns.eu/api/packages/philorg/npm/"
  }
}
